#include <stdio.h>
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
#include <time.h>
#include <termios.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <pthread.h>

#include "Controller.h"

namespace Controller{
void controller(MotorController& mc, Uss& uss, IoRead& ir){
	if( mc.isFdError() || uss.isFdError() || ir.isFdError()){
		fprintf(stderr,"controller error: fd is not open.\n");
		return;
	}
	debug_printf("OK. controller started.\n");
	printf("are you ready?(y/n)\n> ");
	if(fgetc(stdin) == 'n'){
		return;
	}

	debug_printf("start :controller loop\n");
	while(1){
		mc.initialize();
		mc.straightKeepDeg(STRAIGHT_SPEED,1000,uss.getValue(USS_L),0.5,0.1);
		mc.brake();
		break;
	}
	debug_printf("finish :controller loop\n");

	debug_printf("finish :controller ...");
}
}
