#ifndef INCLUDED_DEBUG_H
#define INCLUDED_DEBUG_H

/* 可変長引数マクロ非対応の場合の定義．戻り値を利用して，演算してたりすると，エラーが出るかも．
#ifdef NDEBUG
#define debug_printf 1 ? (void) 0 : printf
#else
#define debug_printf printf
#endif
*/

// 演算については安全になった.
#ifdef NDEBUG
#define debug_printf(...)
#else
#define debug_printf(...) printf(__VA_ARGS__)
#endif


//上にいろいろ追加したバージョン
/*
#ifdef NDEBUG
#define debug_printf(...)
#else
#define debug_printf(...) \
do{	\
	printf("%s:%s:%d: ",__FILE__,__FUNCTION__,__LINE__);	\
	printf(__VA_ARGS__);	\
}while(0);
#endif
*/

#endif
