#ifndef INCLUDED_BALL_H
#define INCLUDED_BALL_H
#include <opencv/cxcore.h>
#include <opencv/cv.h>
#include <opencv/highgui.h>
#include "Debug.h"

//Camera
#define CAM_WIDTH	320
#define CAM_HEIGHT	240
//col_threshold用
#define THRE_H_MIN	0	//色相min
#define THRE_H_MAX	10	//色相max
#define THRE_S_MIN	90	//彩度min
#define THRE_S_MAX	255	//彩度max
#define THRE_V_MIN	60	//明度min
#define THRE_V_MAX	255	//明度max
#define CODE		"HSV"
//cvCanny用定数
#define CANNY_THRESHOLD1	50
#define CANNY_THRESHOLD2	100
#define APERTURE_SIZE		3
//cvSmooth用定数
#define SMOOTH_PARAM1		9
#define SMOOTH_PARAM2		9
#define INPUT_FILE "input.jpg" //入力ファイル名

//cvHoughCircles用定数
#define METHOD			CV_HOUGH_GRADIENT
#define DP				2
#define HOUGH_PARAM1	150
#define HOUGH_PARAM2	20
//(仮)
#define BALL_2R			200 //ボールの直径
#define SQRT3			1.7320508 //よく使うので計算量削減のため定数で定義
#define VISUAL_DEG		60 //カメラの視野角

namespace Ball{
	void col_threshold(IplImage *src, IplImage *dst,
							 int th1_min, int th1_max,
							 int th2_min, int th2_max,
							 int th3_min, int th3_max, const char *code);
	void hough_circle(IplImage *src, IplImage *dst,
							double *dis, double *deg);

	void img_update(const char *str, int width, int height);
	int ball_detect(double *ret_disp, double *ret_degp);
}

#endif
