#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <string.h>
#include <unistd.h>
#include "IoRead.h"

int IoRead::idCounter=0;

IoRead::IoRead(const char *fd_path){
	this->id = idCounter;
	idCounter++;
	this->fd = open(fd_path, O_RDONLY);
	if(this->isFdError()){
		fprintf(stderr,"IoRead id:%d fd open error\n",this->id);
	}
}

IoRead::~IoRead(){
	printf("deleting IoRead id:%d ...",this->id);
	if(!this->isFdError()){
		close(fd);
		printf("OK.\n");
	}else{
		printf("NG.\n");
		fprintf(stderr,"\t IoRead id:%d fd < 0\n",this->id);
	}
}

bool IoRead::isFdError(){
	return fd < 0;
}

int IoRead::get(unsigned char num){
	char io_data[12];
	int ret;

	if(!isFdError()){
		ret = read(this->fd,io_data,12);
		if(ret == -1){
			perror("IoRead read");
		}
		for(int i=0;i<12;i++){
			io_data[i] -= '0'; //文字から数字に変換
			//debug_printf("io_data[%d] = %d\n",i,io_data[i]);
		}	
		return io_data[num];
	}else{
		return -1;
	}
}
