#include <stdio.h>
#include <unistd.h>
#include "Mirs.h"
#include "Debug.h"

int main(void/*int argc, char *argv[]*/){
	MotorController mc(MOTOR_L_PATH, MOTOR_R_PATH, 0, 0, M_PI/2.0, MIRS_RADIUS);
	Uss uss(S_PORT_PATH, USS_NUM);
	IoRead ir(IO_PATH);

	//ファイルディスクリプタが初期化できているかの確認
	if(mc.isFdError() || uss.isFdError() || ir.isFdError()){
		fprintf(stderr,"main() : fd couldn't open\n");
		return 1;
	}
	debug_printf("initialize finished.\n");

	//USS スレッド生成
	debug_printf("USS thread start ...");
	uss.startThread();

	debug_printf("calling Controller::controller() ...");
	Controller::controller(mc,uss,ir);
	debug_printf("return to main() from Controller::controller()\n");

	//スレッドのキャンセル
	usleep(1000);
	debug_printf("USS thread finish ...");
	uss.finishThread();

	return 0;
}

