#include "TestRun.h"

int main(void/*int argc, char *argv[]*/){
	MotorController mc(MOTOR_L_PATH, MOTOR_R_PATH, MIRS_RADIUS);
	Uss uss(S_PORT_PATH, USS_MAX_NUM);
	IoRead ir(IO_PATH);

	//ファイルディスクリプタが初期化できているかの確認
	if(mc.isFdNull() || uss.isFdNull() || ir.isFdNull()){
		fprintf(stderr,"main() : fd couldn't open\n");
		return 1;
	}
	debug_printf("finished initialize.\n");

	//USS スレッド生成
	debug_printf("USS thread start ...");
	uss.startThread();

	//Mirs.cppでは，ここで Controller::controller(mc,uss) を呼ぶ．

	//ここにテスト用処理を書く
	std::string buf;
	printf("are you ready?(y/n)\n> ");
	std::cin >> buf;
	if(buf == "n"){
		return 0;
	}

	debug_printf("start :main loop\n");
	//走行処理-----------------------------------ここから
	double deg = mc.getDeg();
	int dest=10000;
	while(!mc.straightKeepDeg(STD_SPEED,dest,deg,0.65,0.2));
	//走行処理-----------------------------------ここまで
	
	debug_printf("finish :main loop\n");
	//ここまでテスト用処理

	//スレッドのキャンセル
	debug_printf("USS thread finish ...");
	uss.finishThread();

	return 0;
}

