#ifndef INCLUDED_MIRS_H
#define INCLUDED_MIRS_H

#include <unistd.h>
#include <iostream>
#include <string>
#include <cmath>
#include "Controller.h"
#include "MotorController.h"
#include "Uss.h"
#include "IoRead.h"
#include "Ball.h"
#include "Number.h"

#define MIRS_RADIUS 160 //中心とタイヤ間の距離(mm)
//#define MOTOR_CYCLE 100 //モータ制御周期(msec)
#define MOTOR_L_PATH    "/dev/mirS0" //モーター左 デバイスファイルのパス
#define MOTOR_R_PATH    "/dev/mirS1" //モーター右 デバイスファイルのパス
#define IO_PATH		"/dev/irs_ts_ws" //on/off I/O デバイスファイルのパス
#define S_PORT_PATH "/dev/ttyS0"
#define USS_NUM 2 //個数

namespace Talk{
std::string read(std::string command);
std::string eval(std::string command);
int print(std::string command);
void repl();
std::string exit();
std::string help(std::string);
std::string move();
std::string view();
std::string move_straight();
std::string move_straight_uss();
std::string move_rotate();
std::string move_circle();
std::string move_manual();
}

#endif
