#ifndef INCLUDED_USS_H
#define INCLUDED_USS_H

#include <pthread.h>
#include "Debug.h"
#define S_PORT "/dev/ttyS0"

class Uss{
public:
	Uss(const char *fd_path,char num); //ussの識別番号の内，最大のものを渡す．
	~Uss();

	bool isFdError();
	//引数で指定した数のUSSの値を取得する。 計測値はメンバ変数の int value[] に入る。
	void readThread(void* args);
	
	void startThread();
	void finishThread();
	char getNum();
	int getValue(int uss_num);
	int setValue(int uss_num, int new_value);
	static void* g_readThread(void *args); //引数にはUssのインスタンスを渡す
private:
	static int idCounter;
	int id;
	pthread_t uss_task;
	static bool threadRunning;
	int *value;
	char num;
	int fd;

	//引数で指定したUSS番号の値を読み込み。戻り値：読み取り値(cm)
	int read(int uss_num);
};

#endif
