#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""地図情報を扱うモジュール"""
import math

class Field(list):
    """地図情報を扱うクラス"""
    def __init__(self, filepath):
        list.__init__(self)
        f = open(filepath, "r")
        for line in f:
            if line == "\n":
                continue
            l = line[:-1].split()
            self.append([l[0]] + [int(i) for i in l[1:]])
        f.close()
        print self
    def getNearestObject(self, object_name, pos, threshold_radius=10000):
        """オブジェクトの名前を指定して、最も近いもののデータを得る"""
        matching_data = []
        for data in self:
            if data[0] == object_name:
                matching_data.append(data[1:])
        distancelist = [math.sqrt((data[0] - pos.x)**2 + (data[1] - pos.y)**2)
                        for data in matching_data]
        if distancelist == []:
            return []
        nearest_data = matching_data[distancelist.index(min(distancelist))]
        if min(distancelist) <= threshold_radius:
            return nearest_data
        else:
            return []
