#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
FPGAへの入出力を扱うモジュール
MIRS1302で作成した、入力8bit、出力4bitを扱えるデバイスドライバを使用する。
"""
import os, struct

class FpgaIO(object):
    """FPGAへの入出力を扱うクラス"""
    #本当はスタブと実際に使用するものを別クラスで作ってから，包括するクラスを作ったほうが良い．
    def __init__(self, path):
        self.fd = os.open(path, os.O_RDWR)
    def __del__(self):
        os.close(self.fd)
    def get(self, index):
        """FPGAからの入力"""
        data = [int(i) for i in os.read(self.fd, 8)]
        return data[index]
    def put(self, integer_list):
        """FPGAへの出力"""
        v1, v2, v3, v4 = integer_list
        data = str(v1)+str(v2)+str(v3)+str(v4)
        #data = struct.pack("BBBB", v1, v2, v3, v4)
        os.write(self.fd, data)

def hw_test():	
    fpgaio = FpgaIO("/dev/fpga_io")
    #print [fpgaio.get(i) for i in range(8)]
    fpgaio.put((0,0,0,1))

if __name__ == "__main__":
    hw_test()
