#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
FPGAへの入出力を扱うモジュール
MIRS1302で作成した、入力8bit、出力4bitを扱えるデバイスドライバを使用する。
"""
import os, struct, random

class VirtualFpgaIO(object):
    """FPGAへの入出力を扱うクラス"""
    def __init__(self, path):
        self.sensor = ["0" for i in range(8)]
    def __del__(self):
        pass
    def get(self, index):
        """FPGAからの入力"""
        charactors = self.sensor
        data = [int(i) for i in charactors]
        return data[index]
    def put(self, integer_list):
        """FPGAへの出力"""
        pass

    def toggle(self, index):
        if self.sensor[index] == "1":
            self.sensor[index] = "0"
        else:
            self.sensor[index] = "1"
