#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""Ussクラスのスタブを定義するモジュール"""
import uss, random, time

class VirtualUss(uss.Uss):
    """Ussクラスのスタブ"""
    def __init__(self, serialport, identity_number):
        uss.Uss.__init__(self, serialport, identity_number)
    def __del__(self):
        pass
    def _open_serialport(self, serialport):
        return "dummy"

    def read(self):
        """超音波距離センサに計測を命令し、返ってきた距離情報を読み込む振りをする"""
        if random.random() < 0.05:
            return self.old_value
        time.sleep(0.030)
        value = random.randint(20, 100)
        self.old_value = value
        return value
